Plesk\backup\Agent\Schema\Backup\IisApplicationPool\IisApplicationPoolAType:
    properties:
        turnedOn:
            expose: true
            access_type: public_method
            serialized_name: turned-on
            accessor:
                getter: getTurnedOn
                setter: setTurnedOn
            xml_attribute: true
            type: string
        identity:
            expose: true
            access_type: public_method
            serialized_name: identity
            accessor:
                getter: getIdentity
                setter: setIdentity
            xml_attribute: true
            type: string
        iisAppPoolCpuUsageMonitoring:
            expose: true
            access_type: public_method
            serialized_name: iis-app-pool-cpu-usage-monitoring
            xml_element:
                cdata: false
            accessor:
                getter: getIisAppPoolCpuUsageMonitoring
                setter: setIisAppPoolCpuUsageMonitoring
            type: Plesk\backup\Agent\Schema\Backup\IisAppPoolCpuUsageMonitoring
        iisAppPoolRecycle:
            expose: true
            access_type: public_method
            serialized_name: iis-app-pool-recycle
            xml_element:
                cdata: false
            accessor:
                getter: getIisAppPoolRecycle
                setter: setIisAppPoolRecycle
            type: Plesk\backup\Agent\Schema\Backup\IisAppPoolRecycle
        iisAppPoolIdle:
            expose: true
            access_type: public_method
            serialized_name: iis-app-pool-idle
            xml_element:
                cdata: false
            accessor:
                getter: getIisAppPoolIdle
                setter: setIisAppPoolIdle
            type: Plesk\backup\Agent\Schema\Backup\IisAppPoolIdle
        iisAppPoolMaxProcesses:
            expose: true
            access_type: public_method
            serialized_name: iis-app-pool-max-processes
            xml_element:
                cdata: false
            accessor:
                getter: getIisAppPoolMaxProcesses
                setter: setIisAppPoolMaxProcesses
            type: int
        iisAppPoolManagedPipelineMode:
            expose: true
            access_type: public_method
            serialized_name: iis-app-pool-managed-pipeline-mode
            xml_element:
                cdata: false
            accessor:
                getter: getIisAppPoolManagedPipelineMode
                setter: setIisAppPoolManagedPipelineMode
            type: string
